Next Commerce
Webhook Event ReferencePayments

gateway.created

Triggers when a new gateway is created.

Request Body

application/json

api_version?string

API Version of the object data schema.

data?
event_id?string

Unique id associated with this webhook event.

Formatuuid
event_type?string

Webhook event type of the current event.

object?string

Object data type.

webhook?

Response Body

Example Requests

POST/gateway.created

{
  "api_version": "2024-04-01",
  "data": {
    "active": false,
    "auto_capture_on_fulfillment": false,
    "card_types": [
      {
        "code": "string",
        "label": "string"
      }
    ],
    "currencies": [
      {
        "code": "string",
        "label": "string"
      }
    ],
    "delayed_capture_days": null,
    "enable_3ds2": false,
    "gateway_groups": [
      {
        "id": 0,
        "name": "string",
        "weight": 0
      }
    ],
    "gateway_type": "string",
    "id": 0,
    "merchant_profile": null,
    "name": "string",
    "optimized_3ds": false,
    "payment_flow": "string"
  },
  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
  "event_type": "gateway.created",
  "object": "gateway",
  "webhook": {
    "events": [
      "gateway.created"
    ],
    "id": 1,
    "store": "example",
    "target": "https://example.com/webhook/"
  }
}